Subject: bug#24710: 26.0.50; Feature request: Replace double quotes in electric-quote-mode

From: Paul Eggert <[email-masked]>
Date: Fri, 14 Jul 2017 05:48:47 -0700

> Currently electric-quote-mode only replaces ' and `.  I propose that
> it also replace " with a left double quote after spaces, newlines, and
> open parentheses, and with a right double quote after alphanumerics and
> other punctuation.

This sounds reasonable, though I suppose it should be controlled by an option, 
since some people may prefer the current behavior where `` and '' are the only 
convenient ways to get curved double quotes.

Also, shouldn't it always replace " with a curved quote of one flavor of the 
other? I'm puzzled as to why one would want " to stay straight, when the option 
is enabled.